Storefront APIsProducts
Get product
Returns full product details including variants, options, and categories.
Path Parameters
storeId*string
Store ID (shp_ prefix)
productId*string
Product ID (prd_ prefix)
Response Body
application/json
application/json
curl -X GET "https://example.com/stores/string/products/string"{ "ok": true, "data": { "id": "string", "title": "string", "subtitle": "string", "description": "string", "handle": "string", "price": 0, "compareAtPrice": 0, "images": [ "string" ], "inStock": true, "currency": "string", "productType": "SERIAL", "message": "string", "pricingModel": "STANDARD", "status": "ACTIVE", "minimumPrice": 0, "maxPerCustomer": 0, "fulfillmentMode": "MANAGED_LICENSE", "availableFrom": "2019-08-24T14:15:22Z", "availableUntil": "2019-08-24T14:15:22Z", "billingInterval": "WEEKLY", "billingAnchor": 0, "trialDays": 0, "options": [ { "id": "string", "name": "string", "values": [ "string" ], "position": 0 } ], "variants": [ { "id": "string", "title": "string", "slug": "string", "description": "string", "sku": "string", "options": { "property1": "string", "property2": "string" }, "price": 0, "compareAtPrice": 0, "images": [ "string" ], "inStock": true, "quantity": 0, "trackStock": true, "position": 0 } ], "categories": [ { "id": "string", "name": "string", "slug": "string" } ] }}